Fetch site_types or site_tiers based on the type = SITE_TYPE or SITE_TIER.

Permission Level: Read

GET /users/site/relation/types/{relationType}

Operation id: SiteService_GetSiteTypesOrTiers

Tags: SiteService

Parameters

Path parameters

NameTypeRequiredDescription
relationTypestringYesSite Type. Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenantId of the site type. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNoTenantId of the type.
valuesarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string",
      "description": "TenantId of the  type."
    },
    "values": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "friendlyName": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}